﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Data;

namespace WpfTestRadioButton
{
    public class MulitBooleanConverter : IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            int serviceParameter = int.Parse(parameter.ToString());
            bool isOnservice = (bool)value;
            bool result = false;
            switch (serviceParameter)
            {
                case 0:
                    result = true && isOnservice;
                    break;
                case 1:
                    result = !isOnservice;
                    break;

            }
            return result;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            int serviceParameter = int.Parse(parameter.ToString());
            bool isOnservice = (bool)value;
            bool result = false;
            switch (serviceParameter)
            {
                case 0:
                    result = true && isOnservice;
                    break;
                case 1:
                    result = false && isOnservice;
                    break;

            }
            return value;
        }
        #endregion
    }
}