﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace WpfTestRadioButton
{
    public class SubmitUserViewModel : INotifyPropertyChanged
    {
        public SubmitUserView View { get; set; }

        public SubmitUserViewModel()
        {

        }

        private bool isMale;
        public bool IsMale
        {
            get
            {
                return isMale;
            }

            set
            {
                if (isMale != value)
                {
                    isMale = value;
                    OnPropertyChanged("IsMale");
                }
            }
        }

        #region INotifyPropertyChanged Members

        public event PropertyChangedEventHandler PropertyChanged;

        protected void OnPropertyChanged(string propertyName)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyName));
            }
        }

        #endregion
    }
}